#include <iostream>

using namespace std;

int main()
{
    long long n,naj,poz,poz1;
    cin>>n;
    int police[n];
    for(int i=0; i<n; i++)
        cin>>police[i];
    if(n==2)cout<<police[1]<<" "<<police[0];
    else
    {
        {


            naj=n-1;
            poz1=n-2;
            for(int i=n-1; i>=0; i--)
            {
                if(police[i]>police[naj])
                {
                    naj=i;
                }
                else
                {
                    poz1=i;
                    poz=naj;
                }
            }
        }
        if(police[poz]>police[0])poz1=0;
        if(poz==poz1){poz=n-1;poz1=n-2;}
        int p=police[poz];
        police[poz]=police[poz1];
        police[poz1]=p;

        for(int i=0; i<n; i++)
            cout<<police[i]<<" ";
    }
    return 0;
}